Summary: E-mail white/black lists for SME Server 
%define name smeserver-wbl
Name: %{name}
%define version 0.5.0
%define release 7
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-bz10948_manager.patch
Patch1: smeserver-wbl-0.5.0-bz10948-bis.patch
Patch2: smeserver-wbl-0.5.0-locale-2021-08-25.patch
Patch3: smeserver-wbl-0.5.0-update-bz11687.patch
Patch4: smeserver-wbl-0.5.0-Add-in-class-for-overall-dic-in-ep-file.patch
Patch5: smeserver-wbl-0.5.0-bz11678-bz11955.patch

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
#Requires: smeserver-manager => 0.1.0-23
Requires: smeserver-release => 10.0
Requires: qpsmtpd >= 0.96-19
AutoReqProv: no
#Patch0: smeserver-wbl-0.5.0-init.patch

%description
%name is an addon for SME Server that provides the following WBLs:
qpsmtpd check_badmailfrom /var/qmail/control/badmailfrom
qpsmtpd check_spamhelo /var/service/qpsmtpd/config/badhelo
qpsmtpd whitelist_soft /var/service/qpsmtpd/config/whitelisthosts whitelisthelo whitelistsenders
spamassassin /etc/mail/spammassassin/local.cf whitelist_from

%changelog
* Sun Apr 17 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.5.0-7.sme
- fix multiple rpm owned files [SME: 11678]
- fix long update time [SME: 11955]

* Wed Jan 05 2022 Brian Read <brianr@bjsystems.co.uk> 0.5.0-6.sme
- Add in class def in overall div in ep file [SME: 11828]

* Wed Sep 08 2021 Terry Fage <tfage@yahoo.com.au> 0.5.0-5.sme
- fix reference update in server manager [SME: 11687]

* Wed Aug 25 2021 Terry Fage <tfage@yahoo.com.au> 0.5.0-4.sme
- apply locale 2021-08-25 patch

* Mon Mar 15 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.5.0-3.sme
- fix reference to spamd and panel link [SME: 10948]

* Sat Nov  28 2020 Michel Begue <mab974@gmail.com> 0.5.0-02.sme
- Back to compatibility with e-smith-manager [SME: 10948]

* Mon Jun  08 2020 Michel Begue <mab974@gmail.com> 0.5.0-01.sme
- initial release for smeserver-manager (sme10)
- [0.3.0-19.sme9]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
